Bug 103718 - install hangs after kernel install
install hangs after kernel install
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-09-04 05:12 EDT by Neil Green
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-05 12:32:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Neil Green 2003-09-04 05:12:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030717

Description of problem:
During installation of RH9 over a previous RH7.3 install, the install process
installed the kernel then hung. top reported that /usr/lib/rpm/rpmq was using
approximately 99% CPU for over 12hours, until the machine was powered down.

This occurred with both text and graphical installers.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start RH9 install
2. Keep existing partitioning scheme (do not format /var)
3. Wait

Actual Results:  Install process stops after kernel install

Expected Results:  Install completes

Additional info:

As a work around, I copied files I wanted to keep from /var onto /home and chose
to format /var. This allowed the installer to run to completion.
Comment 1 Michael Fulbright 2003-09-04 12:02:29 EDT
If you were trying to reinstall a new Red Hat release over an old one this is
not going to work.

If you choose to upgrade from a previous release to a new one then that should
have worked.

Which case is this?
Comment 2 Neil Green 2003-09-04 13:06:14 EDT
I was trying to install a new release in place of an old one.
I have a number of partitions /, /boot, /home, /usr, /var, I formatted /, /usr,
/boot but wanted to retain some of the contents of /var so left it as was.
Comment 3 Michael Fulbright 2003-09-05 12:32:02 EDT
You will need to backup /var, intall and format /var, and migrate the old files
over post-install.

Note You need to log in before you can comment on or make changes to this bug.